using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Linq;
using System.Text.RegularExpressions;
using System.Data.SQLite;
//#Include:System.Data.dll
//#Include:System.Data.SQLite.dll

namespace PandoraBox
{
    public class CBFreePlugin : IPluginMacro
    {
        public string Execute(string template, PluginMacroArgs args)
        {
            SQLiteConnection connection = args.Context["SQLiteConnect"] as SQLiteConnection;
            if(connection != null) 
            {
                connection.Close();
                args.Context["SQLiteConnect"] = null;
                SQLiteConnection.ClearAllPools();
            }
            return template;
        }
        
        public ushort Level { get { return 100; } }
        public String Name { get { return "CBFreePlugin"; } }
    }
}